Tryton - Issues

 

Issue5835

Title RFC: Email Notification
Priority feature Status resolved
Superseder Nosy List ced, lukio, oscar, pokoli, reviewbot, roundup-bot, tbruyere
Type feature request Components
Assigned To ced Keywords review
Reviews 26611002
View: 26611002

Created on 2016-08-26.13:29:54 by pokoli, last changed by roundup-bot.

Messages
New changeset 82473800eabd by Cédric Krier in branch 'default':
Initial commit
http://hg.tryton.org/modules/notification_email/rev/82473800eabd
review26611002 updated at https://codereview.tryton.org/26611002/#ps220001
review26611002 updated at https://codereview.tryton.org/26611002/#ps200001
msg33869 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-06-01.16:40:06
On 2017-06-01 16:07, Sergi Almacellas Abellana wrote:
> 
> Sergi Almacellas Abellana <sergi@koolpi.com> added the comment:
> 
> >> And that makes me think that we should also drop the cc and the bbc fields on base.
> > I think it will prevent to start a communication between informed
> > people.
> > For example, when sharing a document on Google docs, it send a unique
> > email with everybody in it.
> > 
> 
> Ok, so we want to allow communication then it does not make sense to have bbc. And it won't be any difference between cc and to (as both can contain a list of recipients). Removing both fields will simplify the code providing the same usage. And they can be managed by customization if required. So I will prefer KISS here.

There is a semantic different between 'To' and 'Cc'. Recipient could
have different filtering rule depending on where his email appears.
The Bcc could be useful for external archive or to notify third party.
For example, you can sent in Bcc a sale validation email to the carrier
but you do not want the customer to know about that.

I think the implementation of To, Cc and Bcc is really KISS because it a
duplication of the same design.
msg33867 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-06-01.16:07:35
>> And that makes me think that we should also drop the cc and the bbc fields on base.
> I think it will prevent to start a communication between informed
> people.
> For example, when sharing a document on Google docs, it send a unique
> email with everybody in it.
> 

Ok, so we want to allow communication then it does not make sense to have bbc. And it won't be any difference between cc and to (as both can contain a list of recipients). Removing both fields will simplify the code providing the same usage. And they can be managed by customization if required. So I will prefer KISS here.
msg33865 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-06-01.14:30:05
On 2017-06-01 12:50, Sergi Almacellas Abellana wrote:
> I'm not sure about how to manage a list of recipients because I see to options here:
> 
> 1. Send a single notification to all the recipients (current implementation)
> 2. Send one notification for each of the recipients
> 
> The benefit of the second, is that we are able to send the email subject in the recipient language and not in a random one.

The randomness may be improved by favoring some languages.

> I can not see a use case that sends a notification to somebody and let them know that other people are also receiving this notification.

To inform others who received the notification. It is good information
that prevents to ask "did you receive the notification about…?"

> And that makes me think that we should also drop the cc and the bbc fields on base. 

I think it will prevent to start a communication between informed
people.
For example, when sharing a document on Google docs, it send a unique
email with everybody in it.

> Two other thinks that maybe we should manage:
> 
> 1. Allow to change the reply-to header of the email.

Can be done by customization.

> 2. Allow to add attachments (and that may be reports). Use case:  "Send an invoice report to the party when the invoice is posted"

Can be done by customization. And I do not think it is good to send too
much attachments.
msg33863 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-06-01.12:50:04
I'm not sure about how to manage a list of recipients because I see to options here:

1. Send a single notification to all the recipients (current implementation)
2. Send one notification for each of the recipients

The benefit of the second, is that we are able to send the email subject in the recipient language and not in a random one. 

I can not see a use case that sends a notification to somebody and let them know that other people are also receiving this notification. And that makes me think that we should also drop the cc and the bbc fields on base. 


Two other thinks that maybe we should manage:

1. Allow to change the reply-to header of the email.
2. Allow to add attachments (and that may be reports). Use case:  "Send an invoice report to the party when the invoice is posted"
msg33854 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-05-31.20:00:22
Some details have been discussed on http://www.tryton.org/~irclog/2017-05-31.log.html#t2017-05-31%2010:49
review26611002 updated at https://codereview.tryton.org/26611002/#ps180001
msg33840 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-05-31.17:27:26
Now, I think we have found a solution to the recipients configuration.
msg31336 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-01-17.15:59:42
@tbruyere we are waiting for a resolution on: https://tryton-rietveld.appspot.com/26611002#msg29

Your opinion will be very welcome. 

Also the review needs to be updated to trunk, but this is the easy part :)
msg31333 (view) Author: [hidden] (tbruyere) Date: 2017-01-17.15:40:53
Why the module is not commit ?
There are pending changes?
review26611002 updated at https://codereview.tryton.org/26611002/#ps160001
review26611002 updated at https://codereview.tryton.org/26611002/#ps140001
review26611002 updated at https://codereview.tryton.org/26611002/#ps100001
msg28380 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-09-08.09:44:59
On 8 de setembre de 2016 5:27:42 CEST, Oscar Andres Alvarez <issue_tracker@tryton.org> wrote:
>
>Oscar Andres Alvarez <oscar.alvarez.montero@gmail.com> added the
>comment:
>
>I am wondering if it is better has two options for to trigger the send
>email, by ir.trigger or by ir.cron, for last one example we want to
>schedule with CRON option send mail to all customers when a invoice is
>past due bill.

This can be done with on_time triggers, which will be triggered by a cron when a record matches a condition. 

>
>----------
>nosy: +oscar
>
>_______________________________________________
>Tryton issue tracker <issue_tracker@tryton.org>
><https://bugs.tryton.org/issue5835>
>_______________________________________________
msg28376 (view) Author: [hidden] (oscar) (Tryton translator) Date: 2016-09-08.05:27:42
I am wondering if it is better has two options for to trigger the send email, by ir.trigger or by ir.cron, for last one example we want to schedule with CRON option send mail to all customers when a invoice is past due bill.
review26611002 updated at https://codereview.tryton.org/26611002/#ps80001
review26611002 updated at https://codereview.tryton.org/26611002/#ps60001
review26611002 updated at https://codereview.tryton.org/26611002/#ps40001
review26611002 updated at https://codereview.tryton.org/26611002/#ps20001
New review26611002 at https://codereview.tryton.org/26611002/#ps1
msg28131 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-08-26.13:30:50
Here is review26611002 that implements it
msg28130 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-08-26.13:29:54
Following: https://discuss.tryton.org/t/email-notification/71/12
History
Date User Action Args
2017-06-24 10:51:56roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg34206
2017-06-02 19:04:25reviewbotsetmessages: + msg33891
2017-06-02 12:37:53reviewbotsetmessages: + msg33884
2017-06-01 16:40:06cedsetmessages: + msg33869
2017-06-01 16:07:36pokolisetmessages: + msg33867
2017-06-01 14:30:05cedsetmessages: + msg33865
2017-06-01 12:50:04pokolisetmessages: + msg33863
2017-05-31 20:00:22cedsetmessages: + msg33854
2017-05-31 17:32:06reviewbotsetmessages: + msg33841
2017-05-31 17:27:26cedsetassignedto: pokoli -> ced
messages: + msg33840
nosy: + ced

Showing 10 items. Show all history (warning: this could be VERY long)